#
# ovsagent.py: install data class for OVS agent configuration
#
# Kurt Hackel <kurt.hackel@oracle.com>
# Kevin Lyons <kevin.x.lyons@oracle.com>
#
# Copyright 2007 Oracle
#
# This software may be freely redistributed under the terms of the GNU
# library public license.
#
# You should have received a copy of the GNU Library Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

import string
import isys
import iutil
import os
import resource
import posix
import stat
import errno
import parted
import sys
import struct
import string
import partitioning
import partedUtils
import raid
import lvm
import types
import sha
from flags import flags

import rhpl
from rhpl.translate import _, N_

import logging
log = logging.getLogger("anaconda")

class OVSAgent:
    def __init__(self, anaconda):
        self.passwd = ''
        self.encryptpasswd = None
        self.anaconda = anaconda
        self.passwdPath = '/etc/ovs-agent/'
        self.passwdFile = 'passwdfile'

    def reset (self):
        self.passwd = ''

    def write (self, instPath):
        p = ''
	if self.encryptpasswd == None:
            p = sha.new(self.passwd).digest().encode("base64").replace("\n", "")
        else:
            p = self.encryptpasswd.replace("\n", "")

        log.info("Writing ovs agent password: %s\n" % (p))
        iutil.mkdirChain("%s%s" %(instPath, self.passwdPath))
        f = open(instPath + self.passwdPath + self.passwdFile, 'w')
        f.write("admin:{SHA}%s\n" % p)
        f.write("oracle:{SHA}%s\n" % p)
        f.close()

    def writeKS (self, f):
        p = sha.new(self.passwd).digest().encode("base64").replace("\n", "")
        f.write("ovsagent --iscrypted %s\n" % (p))
