#
# ovsmgmntif.py: Management Interface
#
# Kevin Lyons <kevin.x.lyons@oracle.com>
#
# Copyright 2007 Oracle, Inc.
#
# This software may be freely redistributed under the terms of the GNU
# library public license.
#
# You should have received a copy of the GNU Library Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

import iutil
from flags import flags
import logging

log = logging.getLogger("anaconda")

class OVSManagementInterface:
    def __init__(self, anaconda):
        self.interface = ''
        self.anaconda = anaconda
        self.configPath = '/etc/'
        self.configFile = 'ovs-config'

    def reset (self):
        self.interface = ''

    def write (self, instPath):
	if self.interface == '':
            log.info("OVS management interface not set.\n")
        else:
            log.info("Writing ovs management interface: %s\n" % (self.interface))
            iutil.mkdirChain("%s%s" %(instPath, self.configPath))
            f = open(instPath + self.configPath + self.configFile, 'w')
            f.write('# The MGMNT_IF controls which network interface is used to\n')
            f.write('# manage this machine.\n')
            f.write("MGMNT_IF=%s\n" % self.interface)
            f.close()

    def writeKS (self, f):
        f.write("ovsmgmntif %s\n" % (self.interface))
