#
# ovs_mgmntif_text.py: text mode OVS management interface configuration
#
# Kurt Hackel <kurt.hackel@oracle.com>
# Kevin Lyons <kevin.x.lyons@oracle.com>
#
# Copyright 2007 Oracle
#
# This software may be freely redistributed under the terms of the GNU
# library public license.
#
# You should have received a copy of the GNU Library Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

import iutil
import os
import isys
import string
import network
import sha
from snack import *
from constants_text import *
from constants import *
from rhpl.translate import _

descr = { 'ovsmgmntif':   'OVS Management Interface' }

class OVSMgmntWindow:
    def __call__(self, screen, anaconda, showonboot = 1):
        fulldevices = []
        default = 0
        devices = anaconda.id.network.netdevices.keys()
        devices.sort()

        if len(devices) < 1:
            return INSTALL_OK

        for dev in devices:
            mac = isys.getMacAddress(dev)
            fulldevices.append('%s: %s' %(dev, mac))

        (rc, sel) = ListboxChoiceWindow (screen, _("Oracle VM Management Interface"),
            _("Choose the network interface to use for management of this machine."),
            fulldevices, default = default,
            buttons = [ TEXT_OK_BUTTON, TEXT_BACK_BUTTON ],
            help = "ovsmgmntif")

        if rc == TEXT_BACK_CHECK:
            return INSTALL_BACK

        anaconda.id.ovsmgmntif.interface = devices[sel]

        return INSTALL_OK

# vim:tw=78:ts=4:et:sw=4
